<template>
  <div class="container">
    <div class="alert alert-error" v-if="!!error">
      {{ error }}
    </div>
    <form @submit.prevent="submitForm">
      <div class="input-field">
        <label>Username</label>
        <input v-model="username" type="text" />
      </div>

      <div class="input-field">
        <label>Password</label>
        <input v-model="password" type="password" />
      </div>

      <div class="input-field">
        <button type="submit" class="btn btn-blue">Sign In</button>
      </div>
    </form>
  </div>
</template>

<script>
export default{
  data () {
    return {
      username: '',
      password: '',
      error: null
    }
  },
  methods: {
    submitForm () {
      this.$http
        .post('/sessions', {
          user: { username: this.username, password: this.password },
        })
        .then(response => {
          this.$store.dispatch('login', { token: response.data.token })
          this.$router.push({ name: 'root' })
        })
        .catch( (error) => {
          this.error = error.response.data.error
        })
    }
  }
}
</script>

<style lang='sass' scoped>
.container
  height: 100%
  display: flex
  justify-content: center
  align-items: center
  flex-direction: column
  .alert
    width: 25%
    padding: 15px
    margin: 20px
    text-align: center
  form
    border: 1px solid black
  .input-field
    font-weight: bold
    display: flex
    justify-content: space-between
    margin: 20px
    flex-direction: column
    label
      margin-bottom: 5px
    input[type="text"],input[type="password"]
      border: 1px solid black
      border-radius: 3px
      padding: 5px
</style>
